net.i2p.router.tunnel.pool

## Class TestJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.tunnel.pool.TestJob

All Implemented Interfaces:
  Job

     class TestJob
    extends JobImpl

### Constructor Summary

Constructors
Constructor and Description
`TestJob(RouterContext ctx, PooledTunnelCreatorConfig cfg, TunnelPool pool)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.
`void` `testSuccessful(int ms)`

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestJob

    public TestJob(RouterContext ctx,
           PooledTunnelCreatorConfig cfg,
           TunnelPool pool)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.

#### testSuccessful

    public void testSuccessful(int ms)